@echo off
chcp 65001
title MinIO Quick Start

set MINIO_EXE=minio.exe
set DATA_DIR=./data
set CONSOLE_PORT=9001

:: 检查minio.exe是否存在
if not exist "%MINIO_EXE%" (
    echo Error: %MINIO_EXE% 不存在!
    pause
    exit /b 1
)

:: 设置MinIO凭据
set MINIO_ROOT_USER=minio_FEaTQx
set MINIO_ROOT_PASSWORD=minio_34KYwR

:: 检查数据目录是否存在，不存在则创建
if not exist "%DATA_DIR%" (
    mkdir "%DATA_DIR%"
)


if exist "%MINIO_EXE%" (
	echo Starting MinIO server...
	start "Scenario Server" cmd /k "%MINIO_EXE% server ^"%DATA_DIR%^" --console-address ^":%CONSOLE_PORT%^""
)

echo MinIO 服务已启动:
echo - MinIO API (端口: 9000)
echo - MinIO Web (端口: 9001)

pause